Bug 60380 - LANG setting in i18n ignored.
Summary: LANG setting in i18n ignored.
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdm (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 61901 79579
TreeView+ depends on / blocked
 
Reported: 2002-02-27 04:51 UTC by Harvey Stein
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-11 04:50:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Harvey Stein 2002-02-27 04:51:55 UTC
Description of Problem:
When I upgraded to 7.0 or 7.1 I added LANG="C" to /etc/sysconfig/i18n.  This
caused my prefered sort order of upper case before lower case to take effect. 
After upgrading to 7.2, LANG is en_us again.  It's still set to C in
/etc/sysconfig/i18n.  Evidentally, something somewhere else is setting it to
en_us.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Jeremy Katz 2002-04-08 23:04:57 UTC
Are you logging in via gdm?

Comment 2 Harvey Stein 2002-04-09 03:11:10 UTC
Yes.


Comment 3 Jeremy Katz 2002-04-10 20:46:49 UTC
GDM does this by default, iirc, to cope with some things which didn't like the C
locale

Comment 4 Havoc Pennington 2002-04-10 21:22:56 UTC
Perhaps you selected a language in the gdm menu once before; if so you'll have 
a lang=foo entry in ~/.gnome/gdm, have a look at that. Or just try choosing 
a different language in gdm before you log in.

You really don't want LANG=C anyway, if you want a different sort order just do
LC_COLLATE=C. If you do LANG=C your character set will be ASCII instead of
Latin-1 which sucks.


Comment 5 Havoc Pennington 2002-04-11 19:12:15 UTC
Please reopen this bug if you did not have a lang in ~/.gnome/gdm

Comment 6 Havoc Pennington 2002-12-20 01:41:22 UTC
Hmm, not sure if I ever put this in NEEDINFO, or if it was reopened.

Comment 7 Bill Nottingham 2003-02-11 04:50:58 UTC
Closing, lack of response.


Note You need to log in before you can comment on or make changes to this bug.